<?php
if(!isset($post)){
    return;
}
?>
<li class="wp-syn-item wp-syn-<?php echo $post->network; ?> wp-syn-item-<?php echo $post->id; ?> <?php echo $post->media_url && $instance['display_media'] ? "has-media" : "has-no-media" ?>" data-date="<?php echo $post->pub_date; ?>" data-lat="<?php echo $post->pub_lat; ?>" data-lon="<?php echo $post->pub_lon; ?>">
    <?php do_action('wpsyn_before_item', $post, $instance); ?>
    <div class="wp-syn-item-container">
      <?php if( (isset($instance['display_avatar']) && $instance['display_avatar'] && $post->user->avatar_url && !strpos(@get_headers($post->user->avatar_url)[0],'Not Found')>0) ||
                (isset($instance['display_username']) && $instance['display_username']) ||
                (isset($instance['display_date']) && $instance['display_date'])
      ): ?>
        <header>
            <div class="user">
              <?php if(isset($instance['display_avatar']) && $instance['display_avatar'] && $post->user->avatar_url && !strpos(@get_headers($post->user->avatar_url)[0],'Not Found')>0): ?>
              <picture class="wp-syn-avatar">
                  <img src="<?php echo $post->user->avatar_url; ?>" alt="<?php echo $post->user->name; ?>">
              </picture>
              <?php endif; ?>

              <?php if(isset($instance['display_username']) && $instance['display_username']): ?>
              <cite>
                  <?php echo '<a href="https://'.$post->network.'.com/'.$post->user->name.'" target="_blank">@'.$post->user->name.'</a>'; ?>
              </cite>
              <?php endif; ?>
            </div>
            <?php if(isset($instance['display_date']) && $instance['display_date']): ?>
            <?php $pub_time = strtotime($post->pub_date); ?>
            <time datetime="<?php echo date('c', $pub_time); ?>">
                <?php echo ($now-$pub_time < 2*DAY_IN_SECONDS ? sprintf(__('%s ago', 'wp-slideyournet'), human_time_diff($now, $pub_time)) : date_i18n($date_format, $pub_time)); ?>
            </time>
            <?php endif; ?>

        </header>
<?php endif; ?>
        <?php do_action('wpsyn_after_item_header', $post, $instance); ?>

        <div class="wp-syn-text">
          <p>
            <?php echo wp_syn()->content($post,$instance); ?>
          </p>
        </div>

        <?php do_action('wpsyn_after_item_content', $post, $instance); ?>

        <?php if(isset($instance['display_media']) && $instance['display_media'] && $post->media_url):
          $media_url = "";
          if($instance['local_storage'] && is_int($post->media_url)){
            $media_url =  apply_filters('wp_syn_get_thumbnail_url_local_storage',wp_get_attachment_image_url($post->media_url, apply_filters('wp_syn_thumbnail_size_local_storage', "thumbnail", $post->network, $instance)), $post->media_url, $post->network);

          }else{
            $media_url = apply_filters('wp_syn_get_thumbnail_url', $post->media_url, $post->network);
          }
          ?>


        <div class="wp-syn-media-wrapper">
            <img src="<?php echo $media_url ; ?>" alt="<?php echo $post->user->name; ?>" class="wp-syn-media"/>
        </div>
        <?php do_action('wpsyn_after_item_media', $post, $instance); ?>
        <?php endif; ?>

    </div>
    <?php do_action('wpsyn_after_item', $post, $instance); ?>
</li>
